Subject: Re: [PATCH] MyFirstContribution: update mailing list sub steps

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Jan 2024 10:08:30 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> Just curious. What’s the difference between `Reported-by` and
> `Noticed-by`? `Reported-by` is documented in `SubmittingPatches` but not
> the other one. Is perhaps `Reported-by` specifically meant for bug
> reports?

It should be reported-by as the recent trend is to dedup similar
ones without much meaningful distinction and stick to those that are
listed in the document.  It was just me being careless and picked
one that used to be relatively common without even thinking:

 $ git rev-list --since 1.year --grep=Noticed-by: --count master
 2
 $ git rev-list --since 1.year --grep=Reported-by: --count master
 54

 $ git rev-list --since 5.year --until 4.year --grep=Noticed-by: --count master
 4
 $ git rev-list --since 5.year --until 4.year --grep=Reported-by: --count master
 102

 $ git rev-list --since 10.year --until 9.year --grep=Noticed-by: --count master
 12
 $ git rev-list --since 10.year --until 9.year --grep=Reported-by: --count master
 54

There probably is a subtle difference perceived between the two by
those who used noticed-by over the years and I think you guessed
their intention right.